# Contributing

We welcome contributions to this project! Here are some guidelines to help you get started:

1. **Open an Issue or Feature Request**: Before starting your work, please open an issue or feature request. This allows us to assign the task to you and avoid duplicate work.

2. **Fork and Create a Branch**: Fork the repository and create a branch for your issue or feature. All changes should be made on this branch, not on the main branch.

3. **Follow Coding Standards**: Please use proper indentation and linting. Install `pre-commit` and run it locally to format files using the `black` library and check the linting score.

4. **Write Tests**: If you add new code, please also add corresponding test cases. Compute and update the test coverage by running `build_release.py`.

5. **Commit Messages**: Add a proper commit message that references the issue or feature request and includes well-documented comments.

6. **Squash Commits**: Before raising a Pull Request (PR), squash your commits on the feature branch into a single commit.

Thank you for contributing!